%define name iloserialportrc
%define version 0.1.6
%define release 1

Summary: IRDO
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: Lesser General Public License
Group: Applications/Engineering
BuildRoot: %{_tmppath}/%{name}-%{version}-${release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Requires: gambas3-runtime >= 3.10,gambas3-runtime < 3.99.0,gambas3-gb-image >= 3.10,gambas3-gb-image < 3.99.0,gambas3-gb-form >= 3.10,gambas3-gb-form < 3.99.0,gambas3-gb-desktop-x11 >= 3.10,gambas3-gb-desktop-x11 < 3.99.0,gambas3-gb-desktop >= 3.10,gambas3-gb-desktop < 3.99.0,gambas3-gb-eval-highlight >= 3.10,gambas3-gb-eval-highlight < 3.99.0,gambas3-gb-gsl >= 3.10,gambas3-gb-gsl < 3.99.0,gambas3-gb-net >= 3.10,gambas3-gb-net < 3.99.0,gambas3-gb-net-curl >= 3.10,gambas3-gb-net-curl < 3.99.0,gambas3-gb-net-smtp >= 3.10,gambas3-gb-net-smtp < 3.99.0
AutoReqProv: no

%description
Seriovy Port s nastavyteľnými tlačítkami na posielanie ASCII znakov cez seriový port.
Použiteľné na ovladanie arduino projektov.
-------------------------------------------------------------------------------------------------
Example.
Universal serial port driver for sending ASCII char. 
Good for Arduino
This program is written in Gambas, so you will need Gambas to be installed.

%prep
rm -rf %{buildroot}

%setup -q -n 'iloSerialPortRC'

%build
/usr/bin/gbc3 -e -a -g -t -x 
gba3

%install
install -d %{buildroot}/%{_bindir}
install -p 'iloSerialPortRC'.gambas %{buildroot}/%{_bindir}/'iloSerialPortRC'


install -d %{buildroot}/%{_datadir}/pixmaps
install -d %{buildroot}/%{_datadir}/applications
install -p .icon/48.png %{buildroot}/%{_datadir}/pixmaps/'iloSerialPortRC.png'
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Version=1.0
Name=IRDO
Comment=Seriovy Port s nastavyteľnými tlačítkami na posielanie ASCII znakov cez seriový port. Použiteľné na ovladanie arduino projektov. ------------------------------------------------------------------------------------------------- Example. Universal serial port driver for sending ASCII char.  Good for Arduino
Exec=%{_bindir}/'iloSerialPortRC'
Icon=iloSerialPortRC.png
Terminal=false
Type=Application
StartupNotify=true
Categories=X-RedHat-Extra;Electronics;
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/iloSerialPortRC
%{_datadir}/pixmaps/iloSerialPortRC.png
%{_datadir}/applications/%{name}.desktop

%changelog

* Mon Dec 11 2017 imagin <imagin@centrum.sk> 0.1.6

* Thu Dec 07 2017 imagin <imagin@centrum.sk> 0.1.6

* Wed Dec 06 2017 imagin <imagin@centrum.sk> 0.1.6

* Thu Feb 25 2016 imagin <imagin@centrum.sk> 0.0.6
-pridane nastavenia pre seriovy port

* Sat Dec 26 2015 imagin <imagin@centrum.sk> 0.0.6
- Initial release


